(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     24563,       1109]*)
(*NotebookOutlinePosition[     25865,       1150]*)
(*  CellTagsIndexPosition[     25821,       1146]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\

Table of Contents

\
\>", "Text",
  FontSize->24],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["1.  Introduction",
    FontSize->14,
    FontWeight->"Bold"],
  "\t    1"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 7}},
  CellGroupingRules->{"TitleGrouping", 0},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["1. 1.  Goal",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "    ",
  "1"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox["1. 2.  State\[Dash]of\[Dash]the\[Dash]art",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "    ",
  "3"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          1. 2. 1.  Computer Algebra Systems\t    3", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          1. 2. 2.  Theorem Proving Systems\t    4", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          1. 2. 3.  Integrating the Two Worlds\t    5", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          1. 2. 4.  Related Work\t    8", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[TextData[{
  "  ",
  StyleBox["1. 3.  Achievements",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "    ",
  "9"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["2.  Preliminaries",
    FontSize->14,
    FontWeight->"Bold"],
  "\t  12"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["2. 1.  Language",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "12"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["2. 2.  Notation",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "12"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["2. 3.  Terminology",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "13"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["2. 4.  Theorema Proving Sessions",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "14"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["2. 5.  Theorema Provers as Seen by the User",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "16"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["2. 6.  Theorema Provers as Seen by the Prover Programmer",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "16"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["3.  General Rewriting",
    FontSize->14,
    FontWeight->"Bold"],
  "\t  19"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["3. 1.  Main Idea",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "19"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["3. 2.  Inference Rules",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "22"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["3. 3.  Semantic Rewriting",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "23"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox["3. 4.  Implementation",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "24"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["\<\
          3. 4. 1.  Deciding what Formulae are Rewriting Candidates\t  25\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          3. 4. 2.  Generalized Rewriting\t  25", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["\<\
          3. 4. 3.  Some more Details about Generating the Rewrite Rules\t  \
26\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["\<\
          3. 4. 4.  Some more Details about Semantic Rewriting\t  27\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          3. 4. 5.  Bookkeeping\t  29", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[TextData[{
  "  ",
  StyleBox["3. 5.  Related Work",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "29"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["4.  Solving in Natural Deduction Style",
    FontSize->14,
    FontWeight->"Bold"],
  "\t  30"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox["4. 1.  General Solving Inference Rules",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "32"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["\<\
          4. 1. 1.  Rules for Introducing Solve\[Dash]Constants\t  33\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["\<\
          4. 1. 2.  Rules for Simplifying Goals with Solve\[Dash]Constants\t  \
33\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["\<\
          4. 1. 3.  Rules for Eliminating Solve\[Dash]Constants (Solving)\t  \
34\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox["4. 2.  Using Special Solvers",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "36"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          4. 2. 1.  Identify Subproblem and Translate\t  36", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          4. 2. 2.  Interpreting the Result\t  38", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[TextData[{
  "  ",
  StyleBox["4. 3.  Implementation",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "40"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["5.  Case Distinction",
    FontSize->14,
    FontWeight->"Bold"],
  "\t  43"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["5. 1.  Syntax of Formulae with Case Distinction",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "43"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox["5. 2.  Inference Rules",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "44"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          5. 2. 1.  Simplifying Ground Case Formulae\t  45", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          5. 2. 2.  Proving Case Formulae\t  45", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          5. 2. 3.  Using Case Formulae\t  46", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[TextData[{
  "  ",
  StyleBox["5. 3.  Implementation",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "47"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["6.  Induction",
    FontSize->14,
    FontWeight->"Bold"],
  "\t  50"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["6. 1.  Natural Numbers",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "50"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["6. 2.  Induction on Sequences",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "51"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["6. 3.  Implementation",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "53"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["7.  Level of Proof Details",
    FontSize->14,
    FontWeight->"Bold"],
  "\t  55"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["7. 1.  A complete proof",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "57"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["7. 2.  Proof without Pending Nodes",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "59"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["7. 3.  Showing the Success Branch",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "61"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["7. 4.  Showing only the Result of the Proof",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "  ",
  "63"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["8.  Provers",
    FontSize->14,
    FontWeight->"Bold"],
  "\t  65"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox["8. 1.  Prove\[Dash]Compute\[Dash]Solve Provers for Predicate \
Logic",
    FontSize->12,
    FontWeight->"Plain"],
  "\t  65"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[CellGroupData[{

Cell["          8. 1. 1. The PC Prover\t  67", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["\<\
               8. 1. 1. 1.  Using PC together with Decomposition Strategy\t  \
68\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["\<\
               8. 1. 1. 2.  Set\[Dash]Theory Proofs by PC\t  74\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell["\<\
          8. 1. 2.  Provers with Solving Capabilities: PCS and PSC\t  80\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["\<\
          8. 1. 3.  Non\[Dash]Rewrite Type of Properties\t  95\
\>", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[TextData[{
  "  ",
  StyleBox["8. 2.  Proving with Case Statements",
    FontSize->12,
    FontWeight->"Plain"],
  "\t102"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox["8. 3.  Induction Provers",
    FontSize->12,
    FontWeight->"Plain"],
  "\t106"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          8. 3. 1.  Add Mathematical Induction to PC\t106", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell["          8. 3. 2.  Induction and Case Distinction\t108", "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 40},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[TextData[{
  "  ",
  StyleBox["8. 4.  Future Work",
    FontSize->12,
    FontWeight->"Plain"],
  "\t116"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Appendix:  Theory Exploration \nin Elementary Mathematical \
Analysis",
    FontSize->14,
    FontWeight->"Bold"],
  "\t117"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["A. 1.  Given knowledge",
    FontSize->12,
    FontWeight->"Plain"],
  "\t117"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["A. 2.  Introducing the Limit Predicate",
    FontSize->12,
    FontWeight->"Plain"],
  "\t117"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["A. 3.  Introducing the Limit Function",
    FontSize->12,
    FontWeight->"Plain"],
  "\t119"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["A. 4.  Introducing the Local Continuity Predicate",
    FontSize->12,
    FontWeight->"Plain"],
  "\t119"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["A. 5.  Introducing the Increment Function",
    FontSize->12,
    FontWeight->"Plain"],
  "\t120"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["A. 6.  Introducing the Local Differentiability Predicate",
    FontSize->12,
    FontWeight->"Plain"],
  "\t",
  "",
  "120"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  GeneratedCell->True,
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["A. 7.  Introducing the Increment Ratio Function",
    FontSize->12,
    FontWeight->"Plain"],
  "\t122"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40],

Cell[TextData[{
  "  ",
  StyleBox["A. 8.  Introducing the Derivative Function",
    FontSize->12,
    FontWeight->"Plain"],
  "\t123"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {3, 3}},
  CellGroupingRules->{"SectionGrouping", 30},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
}, Open  ]],

Cell[TextData[{
  StyleBox["References",
    FontSize->14,
    FontWeight->"Bold"],
  "\t124"
}], "Text",
  PageWidth->Infinity,
  CellMargins->{{10, 45}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  TextJustification->0,
  TabFilling->".",
  TabSpacings->40]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1600}, {0, 1200}},
ScreenStyleEnvironment->"Working",
WindowSize->{1049, 1010},
WindowMargins->{{40, Automatic}, {Automatic, 40}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"PrintingMargins"->{{99, 99}, {108, 108}},
"PaperSize"->{597.562, 842.375},
"PageSize"->{Automatic, Inherited},
"PaperOrientation"->"Portrait",
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->True,
"PrintMultipleHorizontalPages"->False,
"FirstPageFooter"->False,
"RestPagesHeader"->False,
"RestPagesFooter"->False,
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", "dvasaru", \
"work", "MmaThesis", "together"}, "TOC.nb.ps", CharacterEncoding -> \
"ISO8859-1"],
"Magnification"->1},
Magnification->1.5,
StyleDefinitions -> "ThesisStyle.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 60, 6, 197, "Text"],

Cell[CellGroupData[{
Cell[1802, 59, 299, 12, 36, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],
Cell[2104, 73, 318, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[2447, 92, 348, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[2798, 109, 256, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[3057, 118, 255, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[3315, 127, 258, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[3576, 136, 244, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],
Cell[3835, 146, 326, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}]
}, Open  ]],

Cell[CellGroupData[{
Cell[4198, 166, 300, 12, 53, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],
Cell[4501, 180, 321, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[4825, 197, 321, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[5149, 214, 324, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[5476, 231, 338, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[5817, 248, 349, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[6169, 265, 362, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}]
}, Open  ]],

Cell[CellGroupData[{
Cell[6568, 285, 304, 12, 53, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],
Cell[6875, 299, 322, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[7200, 316, 328, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[7531, 333, 331, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[7887, 352, 327, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[8217, 369, 286, 9, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[8506, 380, 229, 6, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[8738, 388, 293, 10, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[9034, 400, 281, 9, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[9318, 411, 242, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],
Cell[9575, 421, 325, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}]
}, Open  ]],

Cell[CellGroupData[{
Cell[9937, 441, 321, 12, 53, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],

Cell[CellGroupData[{
Cell[10283, 457, 344, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[10630, 474, 282, 9, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[10915, 485, 295, 10, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[11213, 497, 294, 10, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],

Cell[CellGroupData[{
Cell[11544, 512, 334, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[11881, 529, 264, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[12148, 538, 254, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],
Cell[12417, 548, 327, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}]
}, Open  ]],

Cell[CellGroupData[{
Cell[12781, 568, 303, 12, 53, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],
Cell[13087, 582, 353, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[13465, 601, 328, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[13796, 618, 263, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[14062, 627, 252, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[14317, 636, 250, 7, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],
Cell[14582, 646, 327, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}]
}, Open  ]],

Cell[CellGroupData[{
Cell[14946, 666, 296, 12, 53, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],
Cell[15245, 680, 328, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[15576, 697, 335, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[15914, 714, 327, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}]
}, Open  ]],

Cell[CellGroupData[{
Cell[16278, 734, 309, 12, 53, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],
Cell[16590, 748, 329, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[16922, 765, 340, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[17265, 782, 339, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[17607, 799, 349, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}]
}, Open  ]],

Cell[CellGroupData[{
Cell[17993, 819, 271, 11, 53, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],

Cell[CellGroupData[{
Cell[18289, 834, 339, 13, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[18653, 851, 220, 6, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[18876, 859, 271, 9, 25, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[19150, 870, 253, 8, 25, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Open  ]],
Cell[19418, 881, 262, 8, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[19683, 891, 252, 8, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],
Cell[19950, 902, 305, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[20280, 918, 294, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[20577, 932, 239, 6, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[20819, 940, 237, 6, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],
Cell[21071, 949, 288, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}]
}, Open  ]],

Cell[CellGroupData[{
Cell[21396, 966, 328, 12, 79, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],
Cell[21727, 980, 292, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[22022, 994, 308, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[22333, 1008, 307, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[22643, 1022, 319, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[22965, 1036, 311, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[23279, 1050, 361, 15, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[23643, 1067, 317, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[23963, 1081, 312, 12, 34, "Text",
  CellGroupingRules->{"SectionGrouping", 30}]
}, Open  ]],
Cell[24290, 1096, 269, 11, 53, "Text",
  CellGroupingRules->{"TitleGrouping", 0}]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

